import {Alert, AlertTitle, Stack, Typography} from "@mui/material";
import * as React from "react";
import useClasses from "../themes/useClasses";

export default function BtFormWaning(props)
{
    const classes = useClasses();
    const {
        fromDirection,
        alertTitle,
        toMessage,
        fromMessage,
        currentResolution,
        conformationDetails,
    } = props;
    return (
        <Stack>
            <Alert severity="warning" className={classes.btFormWarning}>
                <AlertTitle>{alertTitle}
                    {fromDirection &&
                    <strong>&nbsp;{fromDirection}</strong>
                    }
                </AlertTitle>
                {toMessage &&
                <Typography variant="string" component="p">
                    {toMessage} {currentResolution && <strong>{currentResolution}</strong>}
                </Typography>
                }
                {fromMessage &&
                <Typography variant="string" component="p">
                    {fromMessage} {conformationDetails && <strong>{conformationDetails}</strong>}
                </Typography>
                }
            </Alert>
        </Stack>
    );
}