import tinycolor from 'tinycolor2';
import {colorModifiers, colors, fontColors} from "./colors";

const themeBT = {
    palette: {
        primary: {
            main: colors.primary,
            light: tinycolor(colors.primary)
                .lighten(colorModifiers.lightenRate)
                .toHexString(),
            dark: tinycolor(colors.primary)
                .darken(colorModifiers.darkenRate)
                .toHexString(),
            contrastText: colors.primaryContrastText,
        },
        secondary: {
            main: colors.secondary,
            light: tinycolor(colors.secondary)
                .lighten(colorModifiers.lightenRate)
                .toHexString(),
            dark: tinycolor(colors.secondary)
                .darken(colorModifiers.darkenRate)
                .toHexString(),
            contrastText: colors.secondaryContrastText,
        },
        warning: {
            main: colors.warning,
            light: tinycolor(colors.warning)
                .lighten(colorModifiers.lightenRate)
                .toHexString(),
            dark: tinycolor(colors.warning)
                .darken(colorModifiers.darkenRate)
                .toHexString(),
            contrastText: colors.secondaryContrastText,
        },
        success: {
            main: colors.success,
            light: tinycolor(colors.success)
                .lighten(colorModifiers.lightenRate)
                .toHexString(),
            dark: tinycolor(colors.success)
                .darken(colorModifiers.darkenRate)
                .toHexString(),
            contrastText: colors.secondaryContrastText,
        },
        info: {
            main: colors.info,
            light: tinycolor(colors.info)
                .lighten(colorModifiers.lightenRate)
                .toHexString(),
            dark: tinycolor(colors.info)
                .darken(colorModifiers.darkenRate)
                .toHexString(),
            contrastText: colors.secondaryContrastText,
        },
        green: {
            main: '#229A16',
            light: tinycolor(colors.info)
                .lighten(colorModifiers.lightenRate)
                .toHexString(),
            dark: tinycolor(colors.info)
                .darken(colorModifiers.darkenRate)
                .toHexString(),
            contrastText: colors.primaryContrastText,
        },
        text: {
            primary: fontColors.primary,
            secondary: fontColors.secondary,
        },
    },
    typography: {
        fontFamily: 'Roboto,MetaSerifPro',
    },
    customShadows: {
        widget:
            '0px 3px 11px 0px #E8EAFC, 0 3px 3px -2px #B2B2B21A, 0 1px 8px 0 #9A9A9A1A',
        widgetDark:
            '0px 3px 18px 0px #4558A3B3, 0 3px 3px -2px #B2B2B21A, 0 1px 8px 0 #9A9A9A1A',
        widgetWide:
            '0px 12px 33px 0px #E8EAFC, 0 3px 3px -2px #B2B2B21A, 0 1px 8px 0 #9A9A9A1A',
    },
};

export default themeBT;