import {
    colors,
    MENU_TEXT_COLOR,
    WHITE_COLOR,
    HEADER_COLOR,
    IMPORTANT_ROW_LABEL_COLOR,
    IMPORTANT_ROW_COLOR,
    SCROLLBAR_COLOR,
} from "./colors";

const BtStackDataGridRowCommon = {
    borderRadius: "10px",
    borderBottom: "1px solid #E7E7E7",
};

const applicationStyles = {
    BtDashboardContainer: {
        display: 'flex',
        flexDirection: 'column',
        gap: '40px',
    },
    BtStackHeaderTitle: {
        width: "273px",
        height: "25px",
        flexGrow: 0,
        fontFamily: "'PT Sans', sans-serif",
        fontSize: "21px",
        fontWeight: "21px",
        fontStretch: "normal",
        fontStyle: "normal",
        lineHeight: "1.2",
        letterSpacing: "normal",
        textAlign: "left",
        color: "#000b13",
    },
    BtStackContainer: {
        gap: '15px',
        backgroundColor: WHITE_COLOR,
        padding: "40px",
        borderRadius: '10px',
    },
    BtStackDataGrid: {
        border: "none",
        '& .MuiDataGrid-columnHeaders': {
            borderRadius: "8px",
            backgroundColor: HEADER_COLOR,
            minHeight: '74px !important',
        },
        '&-LoadingOverlay': {
            zIndex: 1,
            backgroundColor: 'rgba(255, 255, 255, 0.5)',
        },
        '& .MuiDataGrid-columnHeaderTitle': {
            whiteSpace: 'break-spaces',
            lineHeight: 'initial',
        },
        '& .BtGridCellText': {
            flexGrow: 0,
            fontFamily: 'Roboto',
            fontSize: '14px',
            fontWeight: 'normal',
            fontStretch: 'normal',
            fontStyle: 'normal',
            lineHeight: '1.71',
            letterSpacing: '0.15px',
            textAlign: 'left',
            color: '#000b13',
        },

        '.BtGridCellTextWeightBold': {
            fontWeight: 'bold',
        },
        '& .MuiDataGrid-cell:focus-within': {
            outline: 'none',
        },
        '& .BtStackDataGridUrgentRowFirstColumn': {
            display: 'block',
            position: 'relative',
        },
        '& .BtDataGridColumnTextWrap': {
            whiteSpace: 'normal',
        },
        '& .BtStackDataGridUrgentRowLabel': {
            position: 'absolute',
            left: '0',
            color: WHITE_COLOR,
            fontSize: '0.625rem',
            fontWeight: 'bold',
            padding: '0px 8px',
            borderTopLeftRadius: BtStackDataGridRowCommon.borderRadius,
            borderBottomRightRadius: BtStackDataGridRowCommon.borderRadius,
            backgroundColor: IMPORTANT_ROW_LABEL_COLOR,
        },
        '& .BtStackDataGridUrgentRowFirstCell': {
            margin: 0,
            position: 'absolute',
            top: '50%',
            transform: 'translate(0, -50%)',
        },
        '*::-webkit-scrollbar': {
            width: '6px',
        },
        '*::-webkit-scrollbar-thumb': {
            backgroundColor: SCROLLBAR_COLOR,
            borderRadius: '3px',
        },
    },
    BtStackDataGridRow: {
        backgroundColor: WHITE_COLOR,
        ...BtStackDataGridRowCommon,
    },
    BtStackDataGridUrgentRow: {
        backgroundColor: IMPORTANT_ROW_COLOR,
        ...BtStackDataGridRowCommon,
    },
    BtFormData: {
        '& .MuiFilledInput-underline:before, .MuiFilledInput-underline:after': {
            display: 'none !important',
        },
        '& .MuiFilledInput-root': {
            border: '1px solid #e7e7e7',
            backgroundColor: '#fafafa',
            color: '#000b13',
            borderRadius: '6px',
        },
        '& .MuiTextField-root': {
            width: '100%',
        },
        '& .MuiInputLabel-root': {
            color: '#67686a',
        },
        '& .Mui-disabled': {
            opacity: 0.7,
        },
        '& .MuiFilledInput-root.Mui-error': {
            border: '1px solid #ed1c24',
            color: '#ed1c24',
        },
        '& .MuiPaper-root:before': {
            display: 'none!important',
        },
        '& fieldset': {
            margin: '0px',
            padding: '0px',
            border: 'none',
        },
    },
    BtHalfForm: {
        width: '50%',
    },
    BtDeclarationContent: {
        borderRadius: '10px',
        '& .MuiPaper-root:before': {
            display: 'none!important',
        },
        '& .Mui-expanded': {
            margin: '0px',
        },
    },
    BtAccordion: {
        color: '#000b13',
        backgroundColor: '#fff !important',
        boxShadow: 'none',
        marginBottom: '0px !important',
        '& .MuiAccordionDetails-root': {
            padding: '0px 25px 25px 25px',
        },
    },
    BtAccordionComplete: {
        color: '#0072bc !important',
        '& .MuiTypography-root span': {
            backgroundColor: '#0072bc !important',
        },
    },
    BtEmployeeIdSelect: {
        marginBottom: '25px !important',
    },
    BtEmployeeIdSelectTitleItem: {
        padding: '12px 16px',
    },
    BtAccordionWarning: {
        color: '#663C00 !important',
        '& .MuiTypography-root span': {
            backgroundColor: '#663C00 !important',
        },
    },
    BtAccordionTitle: {
        padding: '0px 25px',
        '& .MuiTypography-root': {
            fontWeight: '600',
        },
        '& .MuiTypography-root span': {
            color: '#ffffff',
            backgroundColor: '#000b13',
            width: '24px',
            height: '24px',
            lineHeight: '24px',
            borderRadius: '20px',
            marginRight: '15px',
            textAlign: 'center',
            display: 'inline-block',
        },
    },
    DeleteStatementTitle: {
        padding: '0px 25px',
        '& .MuiTypography-root': {
            fontWeight: '600',
        },
        '& .MuiTypography-root span': {
            color: '#ffffff',
            width: '24px',
            height: '24px',
            lineHeight: '24px',
            borderRadius: '20px',
            marginRight: '15px',
            textAlign: 'center',
            display: 'inline-block',
        },
    },
    BtCheckIconAccordion: {
        fontSize: 14,
    },
    BtFormDatepicker: {
        '& .MuiButtonBase-root': {
            color: '#0072bc',
        },
        '& .Mui-disabled': {
            opacity: 1,
            '& input': {
                '-webkit-text-fill-color': '#000b13 !important',
            },
        },
    },
    BtAutocompleteField: {
        '& .Mui-disabled': {
            opacity: 1,
            '& input': {
                '-webkit-text-fill-color': '#000b13 !important',
            },
        },
    },
    MuiTooltip: {
        styleOverrides: {
            tooltip: {
                color: "#000b13",
                backgroundColor: "#f0f7fb",
                padding: "20px",
                borderRadius: "12px",
                fontSize: "1.3rem",
            },
            arrow: {
                color: "#f0f7fb",
            },
        },
    },
    BtTooltipContentContainer: {
        backgroundColor: '#f0f7fb',
        color: '#000b13',
        padding: '40px',
        border: '1px solid #cde3f2',
        borderRadius: '10px',
        marginBottom: '25px',
        maxWidth: 'none',
    },
    BtTooltipContentContainerSmall: {
        padding: '20px !important',
    },
    BtTooltipTitle: {
        flexGrow: 0,
        fontSize: '21px',
        fontWeight: '500',
        margin: "0.4em 0em",
        lineHeight: "1.2",
    },
    BtTooltipDescription: {
        width: '550px',
        flexGrow: 0,
        fontSize: '14px',
        lineHeight: '1.4',
    },
    BtTooltipButton: {
        zIndex: 1000,
    },
    DisableBtButton: {
        color: '#ffffff !important',
        backgroundColor: '#bcbcbc !important',
    },
    btDeleteStatementFormButton: {
        borderRadius: '12px !important',
        fontWeight: 500,
        color: '#FF0000',
        borderColor: '#FF0000 !important',
    },
    btBackButton: {
        backgroundColor: '#fafafa !important',
    },
    btOutlineSubmit: {
        border: '2px solid #0072bc !important',
    },
    rightContent: {
        justifyContent: 'flex-end',
        direction: 'row',
        margin: '25px 0px',
    },
    btFormWarning: {
        marginBottom: '20px',
    },
    btFormInfo: {
        marginBottom: '20px',
        backgroundColor: 'rgb(229, 246, 253)',
        color: 'rgb(1, 67, 97)',
        '& .MuiAlert-message': {
            color: 'rgb(1, 67, 97)',
        },
        '& .MuiAlert-icon': {
            color: '#03a9f4',
        },
    },
    BtDetailsContent: {
        backgroundColor: '#f0f7fb',
        padding: '24px 40px',
        border: '1px solid #cde3f2',
        borderRadius: '10px',
        marginBottom: '25px',
    },
    BtScenarioContent: {
        padding: '16px 22px',
        borderRadius: '10px',
        border: 'solid 2px #e1eef7',
        backgroundColor: '#fafcfe',
        color: '#1b1464',
        '& .MuiTypography-root': {
            flexGrow: 0,
            fontFamily: "'PT Sans', sans-serif",
            fontSize: '16px',
            fontWeight: 'normal',
            fontStretch: 'normal',
            fontStyle: 'normal',
            lineHeight: 1.38,
            letterSpacing: 'normal',
            textAlign: 'left',
        },
    },
    BtEmployeeData: {
        marginBottom: '25px',
        color: '#000b13',
        '& .MuiTypography-root': {
            flexGrow: 0,
            fontFamily: "'PT Sans', sans-serif",
            fontSize: '14px',
            fontWeight: 'bold',
            fontStretch: 'normal',
            fontStyle: 'normal',
            lineHeight: 1.57,
            letterSpacing: 'normal',
            textAlign: 'left',
        },
        '&-LabelTextColor': {
            color: '#8a8b8c',
        },
    },
    BtEmployeeDataTitle: {
        color: '#999999',
    },
    mainMenuText: {
        fontWeight: 500,
        fontSize: "14px",
        fontFamily: "'PT Sans', sans-serif",
        color: MENU_TEXT_COLOR,
    },
    mainMenuSectionText: {
        padding: "8px 16px 8px 25px",
        width: "94px",
        height: "15px",
        flexGrow: 0,
        fontFamily: "'PT Sans', sans-serif",
        fontSize: "12px",
        fontWeight: "normal",
        fontStretch: "normal",
        fontStyle: "normal",
        lineHeight: "normal",
        letterSpacing: "normal",
        textAlign: "center",
        color: MENU_TEXT_COLOR,
    },
    BtCdiLogo: {
        padding: "64px 80px 32px 80px",
        flexGrow: 0,
        objectFit: "contain",
    },
    mainMenuAddStatementButton: {
        marginLeft: "24px",
        marginRight: "24px",
    },
    BtScenarioFullDescription: {
        padding: '25px',
        overflow: 'auto',
        maxHeight: '400px',
        borderRadius: '10px',
        border: 'solid 2px #e1eef7',
        backgroundColor: '#f0f7fb',
        color: '#1b1464',
    },
    BtScenarioFullDescriptionScenariiPosibile: {
        display: 'flex',
        flexDirection: 'column',
        gap: '20px',
    },
    icons: {
        width: "24px",
        height: "24px",
        objectFit: "contain",
    },
    list: {
        paddingLeft: "10px",
        justifyContent: "space-between",
    },
    navBar: {
        display: "block",
        padding: "40px 40px 24px 40px",
        backgroundColor: '#fafafc',
        alignSelf: 'stretch',
        alignItems: 'center',
        boxShadow: "none",
    },
    customToolbar: {
        display: "flex",
        justifyContent: "space-between",
        alignSelf: "stretch",
        flexDirection: "row",
        alignItems: "center",
        padding: 0,
        minHeight: '40px',
    },
    dashboardText: {
        letterSpacing: 'normal',
        fontFamily: "'PT Sans', sans-serif",
        fontSize: "30px",
        fontWeight: 500,
        color: '#000b13',
        lineHeight: 1.1,
    },
    boxContent: {
        display: "flex",
        flexDirection: "row",
        justifyContent: "flex-start",
        alignItems: "flex-start",
        gap: "24px",
        padding: 0,
    },
    boxNotification: {
        display: "flex",
        flexDirection: "row",
        justifyContent: "flex-start",
        alignItems: "flex-start",
        padding: "8px",
        borderRadius: "10px",
        backgroundColor: "#fff",
    },
    notification: {
        color: '#999',
    },
    boxProfile: {
        margin: "auto 0",
        display: "flex",
    },
    profileText: {
        display: "flex",
        flexDirection: "column",
        justifyContent: "flex-start",
        alignItems: "flex-start",
        gap: "2px",
        padding: 0,
        marginLeft: 10,
    },
    textName: {
        fontFamily: "Roboto",
        fontSize: "16px",
        fontWeight: "bold",
        lineHeight: 1.25,
        letterSpacing: 'normal',
        textAlign: "left",
        color: "#000b13",
    },
    textTitle: {
        fontFamily: "Roboto",
        fontSize: "12px",
        textAlign: "left",
        color: "#8a8b8c",
        letterSpacing: 'normal',
    },
    avatar: {
        width: '34px',
        height: '34px',
        padding: 0,
        objectFit: "contain",
        borderRadius: "64px",
        border: "solid 3px #fff",
    },
    breadcrumbsContainer: {
        height: "28px",
        marginLeft: "40px",
    },
    breadcrumbs: {
        width: "299px",
        height: "28px",
        justifyContent: "flex-start",
        alignItems: "left",
        padding: 0,
        color: "#0072bc",
        textAlign: "left",
    },
    breadcrumbsSeparator: {
        width: "18px",
        height: "18px",
        flexGrow: 0,
        color: "#bcbcbc",
    },
    breadcrumbsDashboardLink: {
        textDecoration: 'none',
    },
    dashboard: {
        height: "18px",
        fontFamily: "'PT Sans', sans-serif",
        fontSize: '13px',
        lineHeight: 1.4,
        flexGrow: 0,
        letterSpacing: "normal",
        textAlign: "left",
        color: "#0072bc",
    },
    fixedRootDashboard: {
        height: "18px",
        fontFamily: "'PT Sans', sans-serif",
        fontSize: '13px',
        lineHeight: 1.4,
        flexGrow: 0,
        letterSpacing: "normal",
        textAlign: "left",
        color: "black",
    },
    lastItemBreadrumb: {
        color: "black",
    },
    modalStyle: {
        zIndex: "1600",
    },
    modalEditStatementStyle: {
        width: '50%',
        height: '50%',
        margin: '0 auto',
        top: '15%',
        backgroundColor: "#fafafc",
    },
    dialogBox: {
        position: 'absolute',
        top: '50%',
        left: '50%',
        width: '70vw',
        maxHeight: '900px',
        minHeight: '400px',
        maxWidth: '1300px',
        minWidth: '600px',
        height: 'auto',
        transform: 'translate(-50%, -50%)',
        display: "flex",
        flexDirection: "column",
        justifyContent: "flex-start",
        alignItems: "flex-center",
        gap: "20px",
        borderRadius: "10px",
        boxShadow: "4px 4px 80px 0 rgba(0, 0, 0, 0.2)",
        backgroundColor: "#fafafc",
        paddingBottom: '40px',
    },
    dialogBoxDeleteStatement: {
        position: 'absolute',
        top: '50%',
        left: '50%',
        width: 'auto',
        maxHeight: '900px',
        minHeight: '400px',
        maxWidth: '1300px',
        minWidth: '600px',
        height: 'auto',
        transform: 'translate(-50%, -50%)',
        display: "flex",
        flexDirection: "column",
        justifyContent: "flex-start",
        alignItems: "flex-center",
        gap: "20px",
        borderRadius: "10px",
        boxShadow: "4px 4px 80px 0 rgba(0, 0, 0, 0.2)",
        backgroundColor: "#fafafc",
        paddingBottom: '40px',
    },
    headerDialog: {
        borderTopLeftRadius: "4px",
        borderTopRightRadius: "4px",
        display: "flex",
        flexDirection: "row",
        justifyContent: "space-between",
        alignItems: "flex-start",
        padding: "9px 24px 8px 40px",
        backgroundColor: "#e7e7e7",
        marginBottom: '15px',
    },
    headerDialogPFC: {
        display: "flex",
        flexDirection: "row",
        justifyContent: "space-between",
        alignItems: "flex-start",
        padding: "9px 24px 8px 40px",
        backgroundColor: "#e7e7e7",
        margin: '15px',
    },
    textHeader: {
        margin: "auto 0",
        fontFamily: "Roboto",
        fontSize: "14px",
        fontWeight: "bold",
        lineHeight: 1.14,
        color: "#1a051d",
    },
    scenarioBox: {
        display: 'flex',
        flexDirection: 'row',
        justifyContent: 'center',
        alignItems: 'center',
        gap: '40px',
        flexWrap: 'wrap',
    },
    cardStyle: {
        width: '200px',
        height: '160px',
        maxHeight: '230px',
        minWidth: '100px',
        display: 'flex',
        flexDirection: 'column',
        justifyContent: 'flex-start',
        alignItems: 'center',
        borderRadius: '10px',
        backgroundColor: '#fff',
        padding: '10px',
    },
    textCard: {
        fontFamily: "'PT Sans', sans-serif",
        fontSize: "14px",
        lineHeight: 1.4,
        letterSpacing: "normal",
        textAlign: "left",
        alignSelf: "stretch",
        color: "#000b13",
    },
    textCardHeader: {
        fontFamily: "'PT Sans', sans-serif",
        fontSize: '21px',
        fontWeight: '500',
        lineHeight: 1.2,
        textAlign: 'center',
        color: '#000b13',
        margin: '7px',
        marginTop: '5px',
    },
    buttonStyle: {
        borderRadius: "12px",
        border: "solid 2px #0072bc",
        padding: "6px 64px 6px 64px",
    },
    buttonDisabled: {
        borderRadius: "10px",
        boxShadow: "0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2)",
        backgroundColor: "#bcbcbc",
        padding: "8px 22px 8px 22px",

    },
    textButtonDisabled: {
        color: "#fff",
    },
    cardEnabled: {
        width: '200px',
        height: '160px',
        borderRadius: '10px',
        boxShadow: '0 1px 5px 0 rgba(0, 114, 188, 0.12), 0 2px 2px 0 rgba(0, 114, 188, 0.14), 0 3px 1px -2px rgba(0, 114, 188, 0.2)',
        border: 'solid 1px #0072bc',
        backgroundColor: '#fff',
        maxHeight: '200px',
        minWidth: '100px',
        display: 'flex',
        flexDirection: 'column',
        justifyContent: 'flex-start',
        alignItems: 'center',
        padding: '9px',
    },
    buttonBox: {
        display: "flex",
        justifyContent: "center",
        alignItems: "center",
        gap: 20,
        marginTop: "15px",
    },
    styleCardContent: {
        padding: "2px 3px 0 3px",
    },
    checkboxBox: {
        position: 'absolute',
        display: 'flex',
        justifyContent: 'flex-end',
    },
    timelineConnector: {
        backgroundColor: colors.primary,
        minHeight: '15px',
    },
    timelineConnectorTwo: {
        backgroundColor: colors.primary,
    },
    TimelineContent: {
        py: '12px',
        px: '16px',
        display: 'grid',
        alignItems: 'center',
    },
    colFortyPercent: {
        width: '40%',
    },
    colSixtyPercent: {
        width: '60%',
    },
    Avatar: {
        marginTop: '16px',
        marginBottom: '16px',
        width: '48px',
        height: '48px',
    },
    TableStyle: {
        minWidth: '250px',
    },
    TableContainer: {
        border: '1px solid',
        borderColor: colors.primary,
        borderRadius: '4px',
    },
    TableCellRight: {
        padding: '8px',
        border: 'none',
    },
    TableCellLeft: {
        padding: '8px',
        border: 'none',
    },
    btStyledButton: {
        height: '48px',
        borderRadius: '12px',
        borderWidth: '2px',
        padding: '8px 24px',
        '& :first-child': {
            height: '26px',
            fontFamily: 'Roboto',
            fontSize: '15px',
            fontWeight: 500,
            lineHeight: 1.73,
            letterSpacing: '0.46px',
        },
    },
    BtFastSearch: {
        '& .MuiInputBase-root, .MuiInputLabel-root ': {
            fontSize: '0.8rem',
            color: '#0072BC',
        },
    },
    btWidth200: {
        width: '200px',
    },
    centerContent: {
        justifyContent: "center",
    },
    flexSpaceBetween: {
        display: 'flex',
        justifyContent: 'space-between',
    },
    flexSpaceAround: {
        display: 'flex',
        justifyContent: 'space-around',
    },
    displayFlexWithGap: {
        display: 'flex',
        gap: '15px',
    },
    marginDown: {
        marginBottom: '20px',
    },
    conformationGridToolBar: {
        height: "40px",
        alignSelf: "stretch",
        flexGrow: 0,
        display: "flex",
        flexDirection: "row",
        justifyContent: "space-between",
        alignItems: "center",
        padding: 0,
    },

    //conformare
    dialogInfoBlue: {
        margin: "0 auto",
        display: 'flex',
        borderRadius: '10px',
        backgroundColor: '#f1f8fb',
        border: '1px solid #ceedfb',
        padding: "20px 5px 20px 20px",
        width: '90%',
        fontWeight: '600',

    },

    dialogInfoRed: {
        margin: "0 auto",
        display: 'flex',
        borderRadius: '10px',
        backgroundColor: '#fde8e9',
        border: '1px solid #ed1c24',
        padding: "20px 5px 20px 20px",
        width: '90%',
        fontWeight: '600',

    },

    dialogInfoStatement: {
        margin: "0 auto",
        display: 'flex',
        padding: "5px 5px 5px 10px",
        width: '90%',
        fontWeight: '800',
    },

    formConformationDialog: {
        width: "90%",
        marginLeft: "3%",
    },

    redStatementNumber: {
        color: '#FF0000',
    },

    cnfDatePicker: {
        width: '60%',
    },

    BtAccordionTitleSetCustomTransition: {
        padding: '0px 10px',
        '& .MuiTypography-root': {
            fontWeight: '600',
        },
        color: '#ffc20e',
        '& .MuiTypography-root span': {
            color: '#ffffff',
            backgroundColor: '#ffc20e',
            width: '28px',
            height: '28px',
            lineHeight: '24px',
            borderRadius: '20px',
            marginRight: '15px',
            textAlign: 'center',
            display: 'inline-block',
        },
    },
    BtConfirmationMessage: {
        color: '#0072bc',
        fontFamily: "'PT Sans', sans-serif",
        fontSize: '16px',
        fontWeight: 'bold',
        display: 'flex',
        flexDirection: 'row',
        justifyContent: 'flex-start',
        alignItems: 'flex-start',
        gap: '16px',
    },
    EditItem: {
        marginBottom: '20px',
    },
    cnfButton: {
        width: "180px",
        height: "48px",
        flexGrow: "0",
        flexDirection: "column",
        justifyContent: "center",
        alignItems: "center",
        padding: "0",
        borderRadius: "12px",
        border: "1px solid #0072bc",
        backgroundColor: "#fafafc",
    },
    cnfTextButton: {
        width: "52px",
        height: "26px",
        flexGrow: "0",
        fontSize: "15px",
        fontWeight: 500,
        fontStretch: "normal",
        fontStyle: "normal",
        lineHeight: "1.73",
        letterSpacing: "0.46px",
        textAlign: "left",
        color: "#0072bc",
    },

    rezCnfButton: {
        width: "280px",
        height: "48px",
        flexGrow: "0",
        flexDirection: "column",
        justifyContent: "center",
        alignItems: "center",
        padding: "0",
        borderRadius: "12px",
        boxShadow: "0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2)",
        backgroundColor: "#0072bc",
    },

    cnfTextRed: {
        flexGrow: "0",
        fontFamily: "'PT Sans', sans-serif",
        fontSize: "16px",
        fontWeight: "bold",
        fontStretch: "normal",
        fontStyle: "normal",
        lineHeight: "1.38",
        letterSpacing: "normal",
        textAlign: "left",
        color: "#ed1c24",
    },

    cnfTextBlue: {
        flexGrow: "0",
        fontFamily: "'PT Sans', sans-serif",
        fontSize: "16px",
        fontWeight: "bold",
        fontStretch: "normal",
        fontStyle: "normal",
        lineHeight: "1.38",
        letterSpacing: "normal",
        textAlign: "left",
        color: "#362f77",
    },

    cnfDialogBox: {
        width: "972px",
        height: "466px",
        display: "flex",
        flexDirection: "column",
        justifyContent: "flex-start",
        alignItems: "center",
        gap: "32px",
        margin: "0 auto",
        marginTop: "200px",
        padding: "0 0 40px",
        borderRadius: "10px",
        boxShadow: "4px 4px 8px 0 rgba(0, 0, 0, 0.2)",
        backgroundColor: "#fafafc",
    },

    cnfBtFormDatepicker: {

        '& .MuiButtonBase-root': {
            color: '#0072bc',
        },
        '& .Mui-disabled': {
            opacity: 1,
            width: "604px",
            height: "64px",
            '& input': {
                '-webkit-text-fill-color': '#000b13 !important',
            },
        },
        flexGrow: 0,
        display: "flex",
        flexDirection: "row",
        justifyContent: "space-between",
        alignItems: "center",
        padding: "0px 6px",
        borderRadius: "6px",
        backgroundColor: "#fafafa",
    },
    noDataOverlayMessage: {
        display: 'flex',
        flexDirection: 'column',
        alignItems: 'center',
        justifyContent: 'center',
        height: '100%',
        '& .ant-empty-img-1': {
            fill: '#aeb8c2',
        },
        '& .ant-empty-img-2': {
            fill: '#f5f5f7',
        },
        '& .ant-empty-img-3': {
            fill: '#dce0e6',
        },
        '& .ant-empty-img-4': {
            fill: '#fff',
        },
        '& .ant-empty-img-5': {
            fillOpacity: '0.8',
            fill: '#f5f5f5',
        },
    },
    BtDateForForm: {
        flexGrow: '0',
        fontFamily: "'PT Sans', sans-serif",
        fontSize: '16px',
        FontWeight: 'normal',
        fontStretch: 'normal',
        fontStyle: 'normal',
        lineHeight: 1.3,
        letterSpacing: 'normal',
        textAlign: 'left',
        color: '#999',
        marginLeft: '10px',
    },
    buttonsHorizontalContainerCenter: {
        display: 'flex',
        justifyContent: 'center',
        gap: '16px',
        margin: '10px 0px',
    },
};

export default applicationStyles;