import {useMemo} from 'react';
import {useTheme} from '@emotion/react';
import {css} from "@emotion/css";
import applicationStyles from "./styles";

const useClasses = stylesElement =>
{
    const theme = useTheme();
    return useMemo(() =>
    {
        const prepared = {};

        Object.entries(applicationStyles).forEach(([key, value = {}]) =>
        {
            prepared[key] = css(value);
        });

        return prepared;
    }, [stylesElement, theme]);
};

export default useClasses;